/*
This was added to handle the data we got from the
American Red Cross about their mobile phone donations.
*/

void readDonations(String fname) {
  String[] lines = loadStrings(fname);
  String[] oneLine;
  println("Reading "+fname+"  (read " + lines.length + " lines)");
  donations = new Donation[lines.length];
  double time;
  float lati;
  float longi;
  int amnt;
  for( int i = 0; i < lines.length; i++ ) {
    oneLine = split(lines[i], ",");
    time = (double)float(oneLine[3])-minTime;
    lati = float(oneLine[4]);
    longi = float(oneLine[5]);
    amnt = int(oneLine[2]);
    donations[i] = new Donation(time, lati, longi, amnt);
  }
}

class Donation {
  double time; // in seconds
  float lat;   // in degrees
  float lon;   //       "
  int amnt;    // dollars
  /* the donation amount is not currently being used
     because a HUGE majority of donations were exactly $10 */
  Donation() {
    time = 0;
    lat = 0;
    lon = 0;
    amnt = 0;
  }
  Donation(double t, float la, float lo, int a) {
    time = t;
    lat = la;
    lon = lo;
    amnt = a;
  }
  double getTime() { return time; }
  float getX() { return calcX(lat, lon); }
  float getY() { return calcY(lat, lon); }
}


